<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <!-- https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP -->
    <!--    <meta http-equiv="Content-Security-Policy" content="default-src 'self'; script-src 'self'">-->
    <!--    <meta http-equiv="X-Content-Security-Policy" content="default-src 'self'; script-src 'self'">-->
    <title>Hello World!</title>
</head>
<body>
<button type="button" id="close">Fechar Aplicativo</button>
<h1>Hello World!</h1>
<p>Copie o diretorio do arquivo txt aqui</p>
<i>exp: C:/Users/edmilson.motta/Desktop/texto.txt</i>
<div>
    <input type="text" id="input"/>
    <button type="button" id="btn">Ler Arquivo</button>
</div>

<div id="text"></div>
<!-- You can also require other files to run in this process -->
<script>
    // This will
    // be executed in the renderer process for that window.
    // No Node.js APIs are available in this process because
    // `nodeIntegration` is turned off. Use `preload.js` to
    // selectively enable features needed in the rendering
    // process.
    const readFile = () => {
        window.postMessage({action: 'read-file', path: document.getElementById("input").value});
    };

    document.getElementById('btn').addEventListener('click', readFile);

    const closeApp = () => {
        console.log('close');
        window.postMessage({action: 'close-app'});
    };

    document.getElementById('close').addEventListener('click', closeApp);
</script>
</body>
</html>
